Debian Bug report logs - #580056
ITP: libshell-perl -- run shell commands transparently within perl

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 3 May 2010 11:57:01 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version libshell-perl/0.72-1

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#580056; Package wnpp. (Mon, 03 May 2010 11:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Mon, 03 May 2010 11:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libshell-perl -- run shell commands transparently within perl
Date: Mon, 03 May 2010 12:55:47 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : libshell-perl
  Version         : 0.72
  Upstream Author : Larry Wall
* URL             : http://search.cpan.org/dist/Shell/
* License         : Perl
  Programming Lang: Perl
  Description     : run shell commands transparently within perl

This package is included as a show case, illustrating a few Perl features.
It shouldn't be used for production programs. Although it does provide a
simple interface for obtaining the standard output of arbitrary commands,
there may be better ways of achieving what you need.




Added indication that bug 580056 blocks 580034 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 03 May 2010 16:18:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 13 May 2010 08:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Dominic Hargreaves <dom@earth.li>:
Bug#580056; Package wnpp. (Tue, 18 May 2010 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Dominic Hargreaves <dom@earth.li>. (Tue, 18 May 2010 19:33:08 GMT) Full text and rfc822 format available.

Message #14 received at 580056@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 580034@bugs.debian.org
Cc: 580056@bugs.debian.org, Dominic Hargreaves <dom@earth.li>
Subject: Re: Bug#580034: perl: module deprecations in 5.12.0
Date: Tue, 18 May 2010 22:30:38 +0300
On Mon, May 17, 2010 at 02:36:48PM +0300, Niko Tyni wrote:
> On Mon, May 03, 2010 at 12:26:43PM +0300, Niko Tyni wrote:
> 
> >  Class::ISA will be removed from the Perl core distribution in the next major release. Please install it from CPAN. It is being used at -e, line 1.
>  
> > The modules being deprecated from the core are (from perl5120delta.pod):
> > 
> >  Class::ISA
> >  Pod::Plainer
> >  Shell
> >  Switch
> 
> Hm, I now noticed that Shell doesn't actually display the deprecation
> warning although it's documented to do so in pod/perl5120delta.pod.
> 
> This seems unintentional; I've just notified upstream. We'll see if it means
> the Shell deprecation must be delayed by one upstream release or not. Not
> sure if that necessarily affects what we do.

Upstream is going to keep Shell around for 5.14 and (presumably) remove
it in 5.16 because of this issue. I suppose we don't therefore need a
separate libshell-perl for now.

 http://www.nntp.perl.org/group/perl.perl5.porters/2010/05/msg160155.html

Dominic, I think we should ask ftpmaster to reject libshell-perl from
NEW. Do you agree?
-- 
Niko Tyni   ntyni@debian.org




Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Wed, 16 Jun 2010 21:06:06 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Wed, 16 Jun 2010 21:06:07 GMT) Full text and rfc822 format available.

Message #19 received at 580056-done@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: debian-perl@lists.debian.org
Cc: 580056-done@bugs.debian.org
Subject: Re: libshell-perl
Date: Wed, 16 Jun 2010 21:33:50 +0100
On Wed, Jun 16, 2010 at 10:04:27PM +0200, Salvatore Bonaccorso wrote:
> Hi Gregor
> 
> On Wed, Jun 16, 2010 at 05:56:55PM +0200, gregor herrmann wrote:
> > I'm a bit confused by the status of libshell-perl as shown by PET.
> > 
> > Dominic, is it possible that you've prepared and tagged the package
> > but never uploaded it?
> 
> As I'm not Dominic, not sure about it ;-). But see comment from Niko
> Tyni in http://bugs.debian.org/580056
> 
> It may be have been rejected from NEW queue already?

Correct - thanks for spotting :)

I've removed it from svn and this message will close the ITP bug.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Jul 2010 07:35:10 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Mon, 16 May 2011 18:54:07 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 May 2011 18:54:09 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Mon, 16 May 2011 21:33:29 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Mon, 16 May 2011 21:33:29 GMT) Full text and rfc822 format available.

Message #30 received at 580056-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 580056-close@bugs.debian.org
Subject: Bug#580056: fixed in libshell-perl 0.72-1
Date: Mon, 16 May 2011 21:32:54 +0000
Source: libshell-perl
Source-Version: 0.72-1

We believe that the bug you reported is fixed in the latest version of
libshell-perl, which is due to be installed in the Debian FTP archive:

libshell-perl_0.72-1.debian.tar.gz
  to main/libs/libshell-perl/libshell-perl_0.72-1.debian.tar.gz
libshell-perl_0.72-1.dsc
  to main/libs/libshell-perl/libshell-perl_0.72-1.dsc
libshell-perl_0.72-1_all.deb
  to main/libs/libshell-perl/libshell-perl_0.72-1_all.deb
libshell-perl_0.72.orig.tar.gz
  to main/libs/libshell-perl/libshell-perl_0.72.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 580056@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated libshell-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 May 2011 19:59:44 +0100
Source: libshell-perl
Binary: libshell-perl
Architecture: source all
Version: 0.72-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libshell-perl - run shell commands transparently within perl
Closes: 580056
Changes: 
 libshell-perl (0.72-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #580056)
Checksums-Sha1: 
 a012ee19dd62c94f539c65faabf6b4678003c2c0 1249 libshell-perl_0.72-1.dsc
 0d4f87c8da204f6fe26d76cd0dd8a6ed3997edb3 5653 libshell-perl_0.72.orig.tar.gz
 9f40e317e267ad834cb62de84cad4f14acbb747f 1613 libshell-perl_0.72-1.debian.tar.gz
 07b25f0d6985f804960330865bba29b33f01f8c0 10726 libshell-perl_0.72-1_all.deb
Checksums-Sha256: 
 f07afc7ae3bd60f54b9fefcaadf89dfacfdf516633fd3afdf3dee9294cae0aa3 1249 libshell-perl_0.72-1.dsc
 c1a54aef7f07adf2d3d3ff2a22cf276ff4d1c5b063dc160672878e29ac7de14c 5653 libshell-perl_0.72.orig.tar.gz
 e8990e776e3aaebcab43d0ec4587123073b2a9ffb4ba23786be0f7c0e2b0cc73 1613 libshell-perl_0.72-1.debian.tar.gz
 df3ceba84458b8ef045f533ca0121ac57ca177c054b19c1c6f02ed9397896539 10726 libshell-perl_0.72-1_all.deb
Files: 
 5f7380442b87b87917c0cec58f2a23c4 1249 perl optional libshell-perl_0.72-1.dsc
 7a9cdda55e5c87e370bdb8c82c9133ba 5653 perl optional libshell-perl_0.72.orig.tar.gz
 b120558d999a34769feb15da006fdbce 1613 perl optional libshell-perl_0.72-1.debian.tar.gz
 2fa05d772ce88745570f75750d538ea3 10726 perl optional libshell-perl_0.72-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFN0XVZYzuFKFF44qURAmmjAJ9wbMW6KSE4cmZ0HaAlPWfU8f5O0gCgyMIe
y8BEd6j0Wx0ubDralNgZxJo=
=CKeJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:40:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:30:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.